Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Class ReflectionHelper

java.lang.Object
org.firebirdsql.jaybird.util.ReflectionHelper

@InternalApi public final class ReflectionHelper extends Object
Class containing static helper methods for reflective access.

Since:
  2.2
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Method`
`findMethod(Class<?> clazz, String name, Class<?>[] args)`
Helper function to find specified method in a specified class.
`static Class<?>[]`
`getAllInterfaces(Class<?> clazz)`
Get all implemented interfaces by the class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAllInterfaces

public static Class<?>[] getAllInterfaces(Class<?> clazz)
Get all implemented interfaces by the class.

Parameters:
  `clazz` - class to inspect.
Returns:
  array of all implemented interfaces.

### findMethod

public static @Nullable Method findMethod(Class<?> clazz, String name, Class<?>[] args)
Helper function to find specified method in a specified class.

Parameters:
  `clazz` - class in which we look for a specified method.
  `name` - name of the method.
  `args` - types of method params.
Returns:
  instance of `Method` corresponding to specified name and param types.